---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
---
Indexing pressure cluster stats:
- requires:
    cluster_features:
    - "gte_v8.1.0"
    reason: "indexing_pressure in cluster was added in 8.1"
- do:
    cluster.stats: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- gte:
    nodes.indexing_pressure.memory.current.combined_coordinating_and_primary_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.current.coordinating_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.current.primary_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.current.replica_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.current.all_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.combined_coordinating_and_primary_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.coordinating_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.primary_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.replica_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.all_in_bytes: 0
- gte:
    nodes.indexing_pressure.memory.total.coordinating_rejections: 0
- gte:
    nodes.indexing_pressure.memory.total.primary_rejections: 0
- gte:
    nodes.indexing_pressure.memory.total.replica_rejections: 0
- gte:
    nodes.indexing_pressure.memory.limit_in_bytes: 0
